**Source URL:** https://limited.veevavault.dev/sitevault/vault-api/api-reference/22.1/veeva-sitevault/veeva-econsent/retrieve-documents-and-signatories.md

# Retrieve Documents and Signatories



Retrieve the valid blank ICFs and signatories for a participant.

<Endpoint path="/api/{version}/app/sitevault/econsent/participant/{participant_id}" method="GET"></Endpoint>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `participant_id` | The Veeva SiteVault ID of the participant. You can use the [`/query` REST interface](/vault-api/api-reference/22.1/vault-query-language-vql/submitting-a-query) to query the Participant (subject__v) object for the participant ID. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl --location --request GET 'https://myvault.veevavault.com/api/v21.2/app/sitevault/econsent/participant/V0X000000002001' \ --header 'Authorization: {SESSION_ID}'

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
[
   {
       "subject__v.id": "V0X000000002001",
       "documents": [
           {
               "document.version_id__v": "40_1_0",
               "signatory__v": [
                   {
                       "signatory__v.id": "V5A000000004002"
                   }
               ]
           }

       ]
   }
]

```
</CodeExample>

## Response Details {#response-details}

The response lists the valid blank ICFs and signatories for the participant. Valid blank ICFs are those that are not already sent or in a workflow.



---

**Previous:** [Veeva eConsent](/sitevault/vault-api/api-reference/22.1/veeva-sitevault/veeva-econsent)  
**Next:** [Send Documents to Signatories](/sitevault/vault-api/api-reference/22.1/veeva-sitevault/veeva-econsent/send-documents-to-signatories)